"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tyr_1 = require("../tyr");
const collection_1 = require("./collection");
const Translation = new collection_1.default({
    id: '_t4',
    name: 'tyrTranslation',
    client: false,
    internal: true,
    timestamps: true,
    fields: {
        _id: { is: 'string' },
        locale: { is: 'string' },
    },
});
const Term = new collection_1.default({
    id: '_tm',
    name: 'tyrTerm',
    client: false,
    internal: true,
    timestamps: true,
    fields: {
        _id: { is: 'string' },
        locale: { is: 'string' },
        lastAliveOn: { is: 'date' },
    },
});
/*
Get label for question:

Translation code format:

UID_path

Where path is <name>[.<property>]

METADATA

u00_name (implies .label)
u00_name.help

DATA

t00question1_label

STRINGS/TERMS

Labels: ‘Welcome to $$MY_TERM’

tyrTerm {
  _id: ‘string’;
  value: {
    is: ‘string’,
    help: ‘The default English value’
  }
}

{ _id: ‘plan’, value: ‘Plan’ }

tyrTransation {
  Uid: ‘tt0plan’, { ....



translations.findOne({
Uid: Questions.uid,
Code: PROFILE_GENDER_ID,
Locale: ‘en’
});

*/
tyr_1.default.Translation = Translation;
tyr_1.default.Translation = Translation;
exports.default = Translation;
//# sourceMappingURL=translation.js.map